import React from 'react'

// Components
import { Section } from '@/components/common/Section';
import { Row } from '@/components/common/Row';
import { TextBlock } from '@/components/common/TextBlock';
import { Column } from '@/components/common/Column';
import { Button } from '@/components/common/Button';

const page = () => {
  return (
    <main className="p-8">
      <Section>
        <Row className="mb-6">
          <Column width="w-full" className="flex justify-between items-center">
            <TextBlock text="Admin Dashboard" className="text-2xl font-bold" />
            <Button
              text="Create New Page"
              url="/editor"
              className="bg-blue-500 text-white px-4 py-2 rounded"
            />
          </Column>
        </Row>

        <Row>
          <Column
            key='1'
            width="w-full md:w-1/3"
            className="p-4 border rounded-lg shadow-sm bg-white"
          >
            <TextBlock text='Pagina 1' className="font-semibold text-lg"></TextBlock>
            <Button
              text="Edit"
              url={`/editor`}
              className="mt-2 bg-green-500 text-white px-3 py-1 rounded"
            />
          </Column>

          <Column
            key='2'
            width="w-full md:w-1/3"
            className="p-4 border rounded-lg shadow-sm bg-white"
          >
            <TextBlock text='Página 1' className="font-semibold text-lg"></TextBlock>
            <Button
              text="Edit"
              url={`/editor`}
              className="mt-2 bg-green-500 text-white px-3 py-1 rounded"
            />
          </Column>

          <Column width="w-full" className="text-center">
            <TextBlock text='No pages available. Create one now!' className="text-gray-500"></TextBlock>
          </Column>
        </Row>
      </Section>
    </main>
  )
}

export default page