import { NextResponse } from 'next/server';
import connectToDatabase from '@/utils/mongoose';
import { Example } from '@/models/Example';

export async function GET() {
  try {
    await connectToDatabase();
    
    const exampleData = await Example.find({});
    
    return NextResponse.json({ 
      success: true, 
      message: 'Successfully connected to the DB',
      data: exampleData
    });
  } catch (error) {
    console.error('Error trying to connect to MongoDB:', error);
    const errorMessage = error instanceof Error ? error.message : 'An unknown error occurred';
    
    return NextResponse.json(
      { 
        success: false, 
        message: 'Error connecting to MongoDB', 
        error: errorMessage
      },
      { status: 500 }
    );
  }
}
