"use client";

import { Users, AppWindow, FileImage, Diamond, PaintbrushVertical, Cog, User } from "lucide-react";

interface SideBarProps {
  setActiveSection: (section: string) => void;
  activeSection: string;
}

const SideBar = ({ setActiveSection, activeSection }: SideBarProps) => {
  const menuItems = [
    { id: "users", label: "Users", icon: <Users size={25} /> },
    { id: "pages", label: "Pages", icon: <AppWindow size={25} /> },
    { id: "media", label: "Media", icon: <FileImage size={25} /> },
    { id: "components", label: "Components", icon: <Diamond size={25} /> },
    { id: "style", label: "Style", icon: <PaintbrushVertical size={25} /> },
  ];

  const settingsItems = [
    { id: "configuration", label: "Configuration", icon: <Cog size={25} /> },
    { id: "profile", label: "Profile", icon: <User size={25} /> },
  ];

  return (
    <div className="space-y-6 text-white text-lg">
      <div className="space-y-2">
        {menuItems.map((item) => (
          <button
            key={item.id}
            onClick={() => setActiveSection(item.id)}
            className={`flex items-center space-x-4 px-4 py-2 w-full transition-all rounded-lg ${
              activeSection === item.id ? "bg-primary text-white" : "bg-transparent"
            } hover:bg-white hover:text-black`}
          >
            {item.icon}
            <span>{item.label}</span>
          </button>
        ))}
      </div>

      <div className="space-y-2">
        {settingsItems.map((item) => (
          <button
            key={item.id}
            onClick={() => setActiveSection(item.id)}
            className={`flex items-center space-x-4 px-4 py-2 w-full transition-all rounded-lg ${
              activeSection === item.id ? "bg-primary text-white" : "bg-transparent"
            } hover:bg-white hover:text-black`}
          >
            {item.icon}
            <span>{item.label}</span>
          </button>
        ))}
      </div>
    </div>
  );
};

export default SideBar;
