'use client';
import React from 'react'
import { useSession } from 'next-auth/react'

import { DndProvider } from 'react-dnd';
import { HTML5Backend } from 'react-dnd-html5-backend';

import DragNDrop from './DragNDrop';

const Page = () => {
  const { data: session } = useSession();

  if (!session) return <p>Access denied</p>;

  if (session && session.user.role === "visitor") {
    return (
      <div>
        <h1>Access Denied</h1>
        <p>You need to be an admin to access this page.</p>
      </div>
    );
  }

  return (
    <DndProvider backend={HTML5Backend}>
      <DragNDrop></DragNDrop>
    </DndProvider>
  )
}

export default Page