import { useState, useEffect } from "react";
import { Component } from "@/types/componentTypes";

const useCanvas = () => {
  const [components, setComponents] = useState<Component[]>([]);
  const [editingComponent, setEditingComponent] = useState<Component | null>(null);
  const [showEditor, setShowEditor] = useState(false);
  const [pageTitle, setPageTitle] = useState("Untitled Page");
  const [createdDate, setCreatedDate] = useState<string | null>(null);

  useEffect(() => {
    setCreatedDate(new Date().toLocaleString());
  }, []);

  const updateProps = (id: string, key: string, newValue: string) => {
    setComponents((prev) => prev.map((comp) =>
      comp.id === id ? { ...comp, props: { ...comp.props, [key]: newValue } } : comp
    ));
  };

  const savePage = async () => {
    console.log("Saving Page...");
  };

  return {
    components, setComponents, editingComponent, setEditingComponent, showEditor,
    setShowEditor, pageTitle, setPageTitle, createdDate, savePage, updateProps
  };
};

export default useCanvas;