import React from 'react'

import { Row } from '../Row';
import { Column } from '../Column';
import Image from 'next/image';

import logo from '../../../assets/RMOA-Logo.png'

function Footer() {
  return (
    <footer className='bg-gray-100 py-8 px-10 md:px-20'>
      <Row className='space-y-10 md:space-y-0 flex items-end'>
        <Column width="w-full md:w-1/2 flex items-start justify-center">
          <Image src={logo} alt="logo" className="max-w-40 mb-5" />
          <a href="#" className="w-full text-start text-xl font-bold text-primary">Rosary Makers of America</a>
          <nav className="w-full mt-2 space-x-4">
            <a href="#" className="text-gray-400 text-xl hover:text-primary">Home</a>
            <a href="#" className="text-gray-400 text-xl hover:text-primary">About Us</a>
            <a href="#" className="text-gray-400 text-xl hover:text-primary">The Holy Rosary</a>
            <a href="#" className="text-gray-400 text-xl hover:text-primary">Our Rosary Makers</a>
            <a href="#" className="text-gray-400 text-xl hover:text-primary">News</a>
          </nav>
        </Column>

        <Column width="w-full md:w-1/2 flex items-start md:items-end justify-center">
          <p className='text-gray-400'>2300 West Park Place Blvd., Ste 142</p>
          <p className='text-gray-400'>Stone Mountain, Georgia 30087</p>
          <p className='text-gray-400'><i className="fas fa-phone-alt"></i> Telephone. Fax. Text: 678-345-0788</p>
          <p className='text-gray-400'><i className="fas fa-envelope"></i> Email: <a href="mailto:info@rosarymakersoa.org" className="hover:underline">info@rosarymakersoa.org</a></p>
        </Column>
      </Row>
    </footer>
  )
}

export default Footer