import React from "react";

interface ListItem {
  text: string; // Texto principal del elemento
  subitem?: React.ReactNode; // Elemento secundario opcional
}

interface ListWithSubitemsProps {
  items: ListItem[]; // Lista de elementos
}

export const List: React.FC<ListWithSubitemsProps> = ({ items }) => {
  return (
    <ul className="list-disc pl-6 space-y-2">
      {items.map((item, index) => (
        <li key={index} className="text-gray-700 text-xl">
          {item.text}
          {item.subitem && <div className="pl-6 mt-1 text-gray-600">{item.subitem}</div>}
        </li>
      ))}
    </ul>
  );
};
