import React from "react";

interface ParallaxSeparatorProps {
	image: string;
	overlayColor?: string;
	content?: React.ReactNode;
	height?: string;
}

const ParallaxSeparator: React.FC<ParallaxSeparatorProps> = ({
	image,
	overlayColor = "rgba(0, 0, 0, 0.5)",
	content,
	height = "400px",
}) => {
	return (
		<div
			className="relative overflow-hidden"
			style={{
				backgroundImage: `url(${image})`,
				backgroundAttachment: "fixed",
				backgroundPosition: "center",
				backgroundSize: "cover",
				height,
			}}
		>

			<div
				className="absolute inset-0"
				style={{
					backgroundColor: overlayColor,
				}}
			></div>

			{content && (
				<div className="absolute inset-0 flex items-center justify-center">
					<div className="text-center">{content}</div>
				</div>
			)}
		</div>
	);
};

export default ParallaxSeparator;
