'use client';

import React from "react";

export const TextBlock: React.FC<{ text: string; className?: string; onChange?: (text: string) => void }> = ({
  text,
  className = "",
  onChange,
}) => {
  return (
    <p
      contentEditable
      suppressContentEditableWarning
      className={`text-gray-800 py-2 ${className} outline-none`}
      onBlur={(e) => onChange?.(e.target.innerHTML)}
      dangerouslySetInnerHTML={{ __html: text }}
    />
  );
};

export default TextBlock;
