import React, { JSX } from "react";

// TitleBlock Component
export const TitleBlock: React.FC<{
    text: string;
    level?: 1 | 2 | 3 | 4 | 5 | 6; // Nivel del título (h1, h2, etc.)
    className?: string; // Clases adicionales de Tailwind
}> = ({ text, level = 1, className = "" }) => {
    const Tag = `h${level}` as keyof JSX.IntrinsicElements; // Determina el elemento HTML dinámico
    return <Tag className={`w-full font-bold text-gray-900 ${className}`}>{text}</Tag>;
};

export default TitleBlock;