'use client';

import React, { useState } from "react";
import PropTypes from "prop-types";

interface VideoProps {
  embedId: string;
}

const Video: React.FC<VideoProps> = ({ embedId }) => {
  const [isInteractive] = useState(false);

  return (
    <div className="relative w-full" style={{ paddingTop: "56.25%" }}>
      <iframe
        className={`absolute rounded top-0 left-0 w-full h-full ${isInteractive ? "" : "pointer-events-none"}`}
        src={`https://www.youtube.com/embed/${embedId}`}
        frameBorder="0"
        allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
        allowFullScreen
        title="Embedded youtube"
      />
    </div>
  );
};

Video.propTypes = {
  embedId: PropTypes.string.isRequired,
};

export default Video;
