import React from 'react'

import { Row } from '../../common/Row'
import { Column } from '../../common/Column'
import { TitleBlock } from '../../common/TitleBlock'
import { ImageBlock } from '../../common/ImageBlock'

interface HeroProps {
  imageHero: string;
  title: string;
}

const Hero: React.FC<HeroProps> = ({ 
  imageHero = "/uploads/placeholder.webp", 
  title = "Title here",
}) => {
  return (
    <div className='relative w-full h-screen max-w-[1400px]'>

      <ImageBlock src={imageHero} alt={imageHero} ></ImageBlock>

      <div className="flex justify-center items-end absolute inset-0 bg-gradient-to-b to-[#0B71C3]/80 from-white/80 pb-10">
        <Row className='w-full justify-center'>
          <Column width="w-full md:w-1/2 flex items-center justify-center">
            <TitleBlock text={title} level={1} className="text-white text-center" />
          </Column>
        </Row>
      </div>

    </div>

  )
}

export default Hero