import mongoose from 'mongoose';
import { IPage } from '@/types';

const PageSchema = new mongoose.Schema<IPage>({
  title: { type: String, required: true, unique: true },
  createdAt: { type: String, required: true },
  components: { type: mongoose.Schema.Types.Mixed, required: true },
  updatedAt: { type: String },
  publishedAt: { type: String },
  createdBy: { type: String, required: true },
  status: { type: String, enum: ['draft', 'published'], default: 'draft' }
});

// To avoid recreation of model when refreshing the page
const Page = mongoose.models.Page || mongoose.model<IPage>('Page', PageSchema);

export default Page;