export type ComponentType =
  | 'section'
  | 'row'
  | 'column'
  | 'titleBlock'
  | 'textBlock'
  | 'imageBlock'
  | 'button'
  | 'video'
  | 'parallaxSeparator'
  | 'hero';

export interface BaseComponent {
  id: string;
  type: ComponentType;
  props: Record<string, string | number | boolean | null | undefined>;
}

export interface ContainerComponent extends BaseComponent {
  type: 'section' | 'row' | 'column' | 'parallaxSeparator';
  children: Component[];
}

export interface ContentComponent extends BaseComponent {
  type: 'titleBlock' | 'textBlock' | 'imageBlock' | 'button' | 'video' | 'hero';
}

export type Component = ContainerComponent | ContentComponent;

export interface PageData {
  _id: string;
  title: string;
  components: Component[];
  createdAt: string;
  updatedAt?: string;
}

export interface DropItem {
  type: string;
  props?: { [key: string]: unknown };
}
