// User interface
export interface User {
    _id: string;
    name: string;
    email: string;
    provider: "github" | "credentials";
    role: 'admin' | 'editor' | 'autor' | 'colaborator' | 'visitor';
    createdAt: string;
    __v: number;
}

// Page interface
export interface IPage extends Document {
    _id: string;
    title: string;
    createdAt: string;
    components: unknown[];
    updatedAt?: string;
    publishedAt?: string;
    createdBy: string;
    status?: 'draft' | 'published';
  }

// API Response interface
export interface ApiResponse<T> {
    success: boolean;
    data?: T;
    message?: string;
    error?: string;
}

// Pagination interface
export interface Pagination {
    total: number;
    page: number;
    limit: number;
    pages: number;
}

// Pages response interface
export interface PagesResponse {
    pages: IPage[];
    pagination: Pagination;
}