import { NextResponse } from "next/server";

// Standardized API Response Format
export function createResponse<T>(
  data?: T,
  message?: string,
  error?: string,
  status: number = 200
): NextResponse {
  const response = {
    success: !error,
    ...(data && { data }),
    ...(message && { message }),
    ...(error && { error }),
  };
  return NextResponse.json(response, { status });
}
